### Method

# Gcr Certificate get_subject_name

#### Declaration [src]

    gchar*
    gcr_certificate_get_subject_name (
      GcrCertificate* self
    )

#### Description [src]

Get a name to represent the subject of this certificate.

This will try to lookup the common name, orianizational unit, organization in that order.

#### Return value

Returns: | `gchar*`
| The allocated subject name, or `NULL` if no subject name.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| The value is a NUL terminated UTF-8 string.